<div class="container-fluid">
  <div class="card">
    <div class="card-header bg-info">
      <div class="row">
        <div class="col-sm-6">
          <span>
            Budget Limit
          </span>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success fa-pull-right btn-sm" [routerLink]="['/budget-limit/create', 'new']">
            Add New Budget Limit
          </button>
        </div>
      </div>
    </div>
    <div class="card-header bg-light">
      <div class="row">
        <div class="col-sm-3">
          <div class="form-group">
            <label for="userGroup">User Group</label>
            <select id="userGroup"
                    class="form-control"
                    [(ngModel)]="userGroupId"
                    name="userGroup">
              <option *ngFor="let event of (userGroups); let i = index"
                      [ngValue]="(userGroups)[i].userGroupId"
              >{{(userGroups)[i].description + '( ' + (userGroups)[i].code + ' )' }}</option>
            </select>
          </div>
        </div>
        <div class="col-sm-3">
          <div class="form-group">
            <label for="budgetHeadId">Budget Head</label>
            <select id="budgetHeadId"
                    class="form-control"
                    [(ngModel)]="budgetHeadId"
                    name="expType">
              <option *ngFor="let event of (budgetHeads); let i = index"
                      [ngValue]="(budgetHeads)[i].budgetHeadId"
              >{{(budgetHeads)[i].budgetHead + '( ' + (budgetHeads)[i].code + ')' }}</option>
            </select>
          </div>
        </div>
        <div class="col-sm-3">
          <div class="form-group">
            <label for="accountHeadId">Account Head</label>
            <select id="accountHeadId"
                    class="form-control"
                    [(ngModel)]="accountHeadId"
                    name="expType">
              <option *ngFor="let event of (accountHeads); let i = index"
                      [ngValue]="(accountHeads)[i].accountHeadId"
              >{{(accountHeads)[i].description + '( ' + (accountHeads)[i].accountNumber + ')' }}</option>
            </select>
          </div>
        </div>
        <div class="col-sm-3">
          <div class="form-group" style="margin-top: 27px">
            <button class=" btn btn-success btn-block" (click)="Search()">Search</button>
          </div>
        </div>
      </div>
    </div>

    <div class="card-body">
      <p-table id="exportTable"
               class="text-center"
               [columns]="columnName"
               [value]="(data$)"
               [(selection)]="selectedItems"
               [paginator]="true"
               [rows]="itemsPerPage"
               [totalRecords]="(totalRecords)"
               (onPage)="paginate($event)"
               pageLinkSize="3"
               [rowsPerPageOptions]="rowsPerPageOptions"
               [resizableColumns]="true"
               [autoLayout]="true">

        <ng-template pTemplate="caption">
          List of Budget Limit
          :&nbsp;{{ totalRecords }}
        </ng-template>
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns" [pSortableColumn]="col.value">
              {{col.name}}
              <p-sortIcon [field]="col.value"></p-sortIcon>
            </th>
          </tr>
        </ng-template>

        <ng-template pTemplate="body" let-list let-i="rowIndex">
          <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
            <td>{{ i + 1 + page * itemsPerPage}}</td>
            <td>{{ list.budgetHead}}</td>
            <td>{{ list.accountHead}}</td>
            <td>{{ list.groupName}}</td>
            <td>{{ list.monthlyCelling }}</td>
            <td>{{ list.previousMonthExpense }}</td>
            <td>{{ list.cellingAmount }}</td>
            <td>{{ list.fixedCellingAmount }}</td>
            <td>{{ list.status }}</td>
            <td>
              <a [routerLink]="['/budget-limit/create', list.budgetLimitId]">
<!--                <i class="bi bi-pencil-square" style="font-size: 2em"></i>-->
                <svg class="bi bi-pencil-square" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                  <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                  <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                </svg>
              </a>
            </td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>
</div>
